
$(document).ready(function(){
//$('#message').hide();
$('html').keydown(function(e){
	if(e.keyCode==27)
	{
		$('#message').hide();
	$('#quot_id').trigger('blur');
	}
});

$('#table_prod_details tbody textarea').keydown(function(e){
	var c=0;
	var flag=0;
	$('#message').hide();
	//jSuccess($("#table_prod_details  tbody  tr").length);
		for(i=0;i<$("#table_prod_details  tbody  tr").length;i++)
		{
			
		var disp=$('#table_prod_details tbody tr:eq('+i+') div .prod_save,#table_prod_details tbody tr:eq('+i+') div .prod_savenew').css('display');
		if(disp!="none")
		{
		flag=1;
		break;
		}
}
	//jSuccess(i);
if(flag==1)
{
	$('#table_prod_details tbody tr:not(:eq('+i+')) textarea').attr('disabled','disabled');
	$('#table_prod_details tbody tr:eq('+i+') textarea').css('background-color','#E0B99F');

 $('#message').html("Please Save the changes made OR press ESC to UNDO").show();
}

else
{
//$('#table_prod_details tbody tr:eq('+i+') textarea').css('background-color','#ADE2C9');		
var row= $(this).parents('tr');
row.find('#prod_save').show();
row.find('#prod_savenew').show();
}
//}
	
});

//$('#table_prod_details tbody #prod_save').click(function(){
//var row= $(this).parents('tr');
//row.find('#prod_save').hide();

	
//});

$('.prod_save').click(function(){
		$('#message').hide();
		 $("#table_prod_details tbody tr textarea").css("background-color","");
		//$('#table_prod_details tbody tr textarea').hover(function(){
//	
//	$(this).css('background-color','#EEFF88');
//	},
//	function(){
//    $("#table_prod_details tbody tr textarea").css("background-color","#ADE2C9");
//  }
//	
//	);
			$('#table_prod_details tbody textarea').removeAttr('disabled');
var row= $(this).parents('tr');	



 $.post("oproduct_crud.php?mode=update",row.find('textarea').serialize(),function(html){
	 var str=html.split('###');
	 
	  $('#message').html(str[5]).fadeIn(2000);
	 
	  row.find('.product').val(str[0]);
	  row.find('.buyey_pcode').val(str[1]);
	row.find('.prod_desc').val(str[2]);
	row.find('.qty').val(str[3]);
	row.find('.unit').val(str[4]);
  });
	
	
	$('.prod_save').hide();
});


$('.prod_savenew').click(function(){
	$('#message').hide();
	
			 $("#table_prod_details tbody tr textarea").css("background-color","");
	$('#table_prod_details tbody textarea').removeAttr('disabled');
	
	var row= $(this).parents('tr');	
	 $.post("oproduct_crud.php?mode=insert",row.find('textarea').serialize(),function(html){
		// var str=html.split('###');
			$('#enquiry_details #quot_id').trigger('blur');
	 $('#message').html(html).fadeIn(2000);
	 // $('#table_prod_details tbody').append(str[0]);
	  //  $('#table_prod_details tbody').append(str[2]);
	 
	 // $('#enquiry_details #enquiry_id').trigger('blur');
	 
	 
  });
	
	
	//var row= $(this).parents('tr');	
//row.find('textarea').val("");	

$('.prod_savenew').hide();


 //$.post("product_crud.php?mode=insert",row.find('textarea').serialize(),function(html){
	//  jSuccess(html);
	 
  //});
	
});

	$('#table_prod_details tbody .product_code').blur(function(){
		$this_pc=$(this);
		//jSuccess($this_pc.val());
		 $.post("product_det_fill.php",{'product_code':$(this).val()},function(html){
		//jSuccess($this_pc.val());
			 str=html.split('$$$');
	 var row= $this_pc.parents('tr');
row.find('.prod_desc').val(str[0]);
	row.find('.unit').val(str[1]);
 
  });
	
});

$('input,textarea').keyup(function(e){
if(e.keyCode==222)
$(this).val($(this).val().substring(0,($(this).val().length-1))+"`");

});



	bind();
	 $("#vatr,#sevtr,#octrair,#exiser,#cust_dutyr").blur(function(){
		update_gtotal(); 
	 });
	 
	$('.amount,#total').keydown(function(){
		return false;
	});
});

function update_total() {
  var total = 0;
  $('.amount').each(function(i){
    amount = $(this).val();
    if (!isNaN(amount)) 
	total=parseFloat(total+Number(amount));
  });
   $('#total').val(total.toFixed(2));
}

function update_amount()
{
	
	var row= $(this).parents('.item-row');	
	//jSuccess(parseFloat(row.find('.rate').val()*2.2).toFixed(2));
	//jSuccess(isNaN(row.find('.rate').val()));
	if(!isNaN(row.find('.qty').val())&& !isNaN(row.find('.rate').val()))
	{
		row.find('.amount').val(parseFloat(row.find('.rate').val()*row.find('.qty').val()).toFixed(2));
		//row.find('.amount').val().toFixed(2);
		//row.find('.amount').val("helo");
		}
	update_total();
	}


function update_gtotal()
{
	var vata=$('#vatr').val()*$('#total').val()*.01;
	$('#vata').val(vata.toFixed(2));
		$('#sevta').val(($('#sevtr').val()*$('#total').val()*.01).toFixed(2));
			//$('#vata').val($('#vatr').val()*$('#total').val()*.01);
	$('#exisea').val(($('#exiser').val()*$('#total').val()*.01).toFixed(2));

	$('#octraia').val(($('#octrair').val()*$('#total').val()*.01).toFixed(2));
//
	$('#cust_dutya').val(($('#cust_dutyr').val()*$('#total').val()*.01).toFixed(2));

	var gtot=Number($('#vata').val())+Number($('#sevta').val())+Number($('#exisea').val())+Number($('#octraia').val())+Number($('#cust_dutya').val())+Number($('#total').val());
	$('#g_total').val(gtot.toFixed(2));
	}

function bind() {
		
  $(".qty").blur(update_amount);
  $(".rate").blur(update_amount);
}

$(".product_code").autocomplete(
      "product_code_fill.php?",
      {
  			delay:10,
  			minChars:1,
  			matchSubset:1,
  			matchContains:1,
  			cacheLength:10,
  			onItemSelect:selectItem,
  			onFindValue:findValue,
  			formatItem:formatItem,
  			autoFill:true
  		}
    );
	

$('input:text,textarea,select,input:button').bind("keydown", function(e) {
   var n = $("input:text,textarea,select,input:button").length;
   if (e.which == 13) 
   { //Enter key
     e.preventDefault(); //to skip default behavior of the enter key
     var nextIndex = $('input:text,textarea,select,input:button').index(this)+1;
     if(nextIndex < n)
       $('input:text,textarea,select,input:button')[nextIndex].focus();
     else
     {
       $('input:text,textarea,select,input:button')[nextIndex-1].blur();
       $('#b1').click();
     }
   }
});	
$('input:button').bind("keydown", function(e) {
	if (e.which == 13) 
   { //Enter key
     e.preventDefault(); //to skip default behavior of the enter key
	 $(this).trigger('click');
   }
});
